Bug 1028770 - should build with dtrace/systemtap sdt.h probes, even in normal build mode
should build with dtrace/systemtap sdt.h probes, even in normal build mode
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-10 10:58 EST by Frank Ch. Eigler
Modified: 2016-07-19 09:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 09:37:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2013-11-10 10:58:34 EST
master branch's xulrunner.spec includes this ditty:

%if %{?debug_build}
echo "ac_add_options --enable-debug" >> .mozconfig
echo "ac_add_options --disable-optimize" >> .mozconfig
echo "ac_add_options --enable-dtrace" >> .mozconfig
%else
echo "ac_add_options --disable-debug" >> .mozconfig
echo "ac_add_options --enable-optimize" >> .mozconfig
%endif

There is no cost to having --enable-dtrace on for the real non-debug_build
binaries, so please consider turning them on there also.

(In addition, it would be helpful if the xulrunner rpm included a .stp file
to install in /usr/share/systemtap/tapset to briefly name/document the
xulrunner markers and make them easier to find.  See e.g. how java, glib,
python, pcp/pmcd do it.  The stap team can certainly draft one for you.)
Comment 1 Martin Stransky 2013-11-11 04:00:56 EST
If we enable it, what is a benefint for a regular user? As a developer you can rebuild the package with dtrace, without optimization and in debug mode. But why we should enable it by default for all users?
Comment 2 Frank Ch. Eigler 2013-11-11 07:28:55 EST
It would give a chance for users to understand what's going on with their
browser when it freezes or takes too long.  With the appropriate stap / 
gdb (or in the future, perf etc.) scripts that we can gradually publish,
we can let users self-diagnose problems.  We do not need to subscribe to
the developer xor user dichotomy in general, and with the lightweight
sys/sdt.h markers, we don't need a debug-build xor real-build dichotomy
either.
Comment 3 Jaroslav Reznik 2015-03-03 10:11:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:34:36 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Frank Ch. Eigler 2016-07-19 08:47:43 EDT
--enable-dtrace now completely removed, even for debug builds.  Please reconsider.
Comment 6 Fedora End Of Life 2016-07-19 09:37:14 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.